#ifdef MEX
#include <mex/mex_parser.h>

void mexFunction ( int n_output, mxArray *output[], int n_input, const mxArray *input[] ) {
	mxArray * m=(mxArray *)input[0];
	printf("%d",mxIsObject(m));
	mexCallMATLAB(0,0,1, &m, "validate");
	
}
#endif
